Summary: Perl module for dumping complex data structures
Name: Data-Dumper.pm
#the requires line here is possibly a lie because I don't know enough
#about the interactions of newer perl versions and perl modules.
Requires: perl >= 5.003
Version: 2.07
Release: 3
Copyright: As Perl:- Artistic License or GPL
Group: Development/Libraries/Perl
Source: ftp://ftp.funet.fi/pub/languages/perl/CPAN/modules/by-module/Data/Data-Dumper-2.07.tar.gz

#This package is not relocatable and cannot have a different build
#root because it relies on perl's idea of the correct location of
#files.  

# Note: I updated this package to a newer version of the Dumper, and fixed a
# little of the syntax in the spec file, but otherwise left this unchanged from
# the spec file used by Michael De La Rue <miked@ed.ac.uk> in his 2.02b
# package.
#     --Toshio Kuratomi <toshiok@cats.ucsc.edu>

%description
This perl module allows the conversion of any (in principle) perl data
structure into the perl code that you would use to generate that same
data structure.  This means that you can then store that data
structure and read it back at some later date.  It also means that when you
are debugging you can easily see inside your data structures.

%prep
%setup -n Data-Dumper-2.07
perl Makefile.PL

%build
make OPTIMIZE="${RPM_OPT_FLAGS}"
# wouldn't it be nice to have a pre-test and post-test section 
#make test || echo 'Build had errors; please fix'

%install
make install
#don't install the DBM package.  Use separate MLDBM package.

%files
%doc README Todo
/usr/lib/perl5/man/man3/Data::Dumper.3
/usr/lib/perl5/site_perl/Data/Dumper.pm
/usr/lib/perl5/site_perl/i386-linux/auto/Data/Dumper/Dumper.bs
/usr/lib/perl5/site_perl/i386-linux/auto/Data/Dumper/Dumper.so
